Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CodeExpressionTests.cs	(revision 14908)
@@ -920,10 +920,10 @@
       var result = PushParser.Parse("D");
 
-      this.interpreter.IntegerStack.Push(-2);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(-2);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -936,10 +936,10 @@
       var result = PushParser.Parse("( )");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -952,10 +952,10 @@
       var result = PushParser.Parse("A");
 
-      this.interpreter.IntegerStack.Push(3);
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNthCdrExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.IntegerStack.Push(3);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNthCdrExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -967,9 +967,9 @@
       var prog = PushParser.Parse("( )");
 
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNullExpression());
-
-      Assert.AreEqual(true, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNullExpression());
+
+      Assert.AreEqual(true, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -981,9 +981,9 @@
       var prog = PushParser.Parse("A");
 
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeNullExpression());
-
-      Assert.AreEqual(false, this.interpreter.BooleanStack.Top);
-      this.TestStackCounts(booleanStack: 1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeNullExpression());
+
+      Assert.AreEqual(false, interpreter.BooleanStack.Top);
+      TestStackCounts(booleanStack: 1);
     }
 
@@ -996,9 +996,9 @@
       var second = PushParser.Parse("C");
 
-      this.interpreter.CodeStack.Push(second, first);
-      this.interpreter.Run(new CodePositionExpression());
-
-      Assert.AreEqual(2, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(second, first);
+      interpreter.Run(new CodePositionExpression());
+
+      Assert.AreEqual(2, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -1010,8 +1010,8 @@
       var result = PushParser.Parse("A");
 
-      this.interpreter.Run("( CODE.QUOTE A )");
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.Run("( CODE.QUOTE A )");
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -1023,9 +1023,9 @@
       var prog = PushParser.Parse("( A ( B ( C ) ) ( D ) INTEGER.+ )");
 
-      this.interpreter.CodeStack.Push(prog);
-      this.interpreter.Run(new CodeSizeExpression());
-
-      Assert.AreEqual(4, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      interpreter.CodeStack.Push(prog);
+      interpreter.Run(new CodeSizeExpression());
+
+      Assert.AreEqual(4, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -1040,9 +1040,9 @@
       var result = PushParser.Parse("( E B C D E B C D )");
 
-      this.interpreter.CodeStack.Push(third, second, first);
-      this.interpreter.Run(new CodeSubstitutionExpression());
-
-      Assert.AreEqual(result, this.interpreter.CodeStack.Top);
-      this.CheckOtherStacksAreEmpty();
+      interpreter.CodeStack.Push(third, second, first);
+      interpreter.Run(new CodeSubstitutionExpression());
+
+      Assert.AreEqual(result, interpreter.CodeStack.Top);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -1060,5 +1060,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(codeStack: null);
+      TestStackCounts(codeStack: null);
     }
   }
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CommonTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CommonTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/CommonTests.cs	(revision 14908)
@@ -15,9 +15,9 @@
 
     protected virtual T[] Get2Different() {
-      return this.GetValues(2);
+      return GetValues(2);
     }
 
     protected virtual void Test(Expression expression) {
-      this.interpreter.Run(expression);
+      interpreter.Run(expression);
     }
 
@@ -29,17 +29,17 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestEqualsTrue() {
-      var values = this.GetValues(1);
+      var values = GetValues(1);
       var merged = new[] { values[0], values[0] };
 
-      this.Stack.Push(merged);
-
-      var isBooleanStack = this.interpreter.BooleanStack.Count == 2;
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".="));
-
-      if (isBooleanStack) Assert.AreEqual(1, this.Stack.Count);
-      else Assert.AreEqual(0, this.Stack.Count);
-
-      Assert.IsTrue(this.interpreter.BooleanStack.Top);
+      Stack.Push(merged);
+
+      var isBooleanStack = interpreter.BooleanStack.Count == 2;
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".="));
+
+      if (isBooleanStack) Assert.AreEqual(1, Stack.Count);
+      else Assert.AreEqual(0, Stack.Count);
+
+      Assert.IsTrue(interpreter.BooleanStack.Top);
     }
 
@@ -49,14 +49,14 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestEqualsFalse() {
-      var values = this.Get2Different();
-      this.Stack.Push(values);
-      var isBooleanStack = this.interpreter.BooleanStack.Count == 2;
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".="));
-
-      if (isBooleanStack) Assert.AreEqual(1, this.Stack.Count);
-      else Assert.AreEqual(0, this.Stack.Count);
-
-      Assert.IsFalse(this.interpreter.BooleanStack.Top);
+      var values = Get2Different();
+      Stack.Push(values);
+      var isBooleanStack = interpreter.BooleanStack.Count == 2;
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".="));
+
+      if (isBooleanStack) Assert.AreEqual(1, Stack.Count);
+      else Assert.AreEqual(0, Stack.Count);
+
+      Assert.IsFalse(interpreter.BooleanStack.Top);
     }
 
@@ -66,5 +66,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestEqualsWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("=", 1);
+      TestWithInsufficientArguments("=", 1);
     }
 
@@ -74,13 +74,13 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestDuplicate() {
-      var values = this.GetValues(1);
-      this.Stack.Push(values);
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".DUP"));
-
-      Assert.AreEqual(this.Stack.Count, 2);
-      Assert.AreEqual(this.Stack[0], values[0]);
-      Assert.AreEqual(this.Stack[1], values[0]);
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(1);
+      Stack.Push(values);
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".DUP"));
+
+      Assert.AreEqual(Stack.Count, 2);
+      Assert.AreEqual(Stack[0], values[0]);
+      Assert.AreEqual(Stack[1], values[0]);
+      CheckOtherStacksAreEmpty();
     }
 
@@ -90,10 +90,10 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestPop() {
-      var values = this.GetValues(2);
-      this.Stack.Push(values);
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".POP"));
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(2);
+      Stack.Push(values);
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".POP"));
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -103,14 +103,14 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestSwap() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".SWAP"));
-
-      Assert.AreEqual(values[0], this.Stack[2]);
-      Assert.AreEqual(values[1], this.Stack[0]);
-      Assert.AreEqual(values[2], this.Stack[1]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".SWAP"));
+
+      Assert.AreEqual(values[0], Stack[2]);
+      Assert.AreEqual(values[1], Stack[0]);
+      Assert.AreEqual(values[2], Stack[1]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -120,5 +120,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestSwapWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("SWAP", 1);
+      TestWithInsufficientArguments("SWAP", 1);
     }
 
@@ -138,5 +138,5 @@
       Assert.AreEqual(values[2], Stack[0]);
 
-      this.CheckOtherStacksAreEmpty();
+      CheckOtherStacksAreEmpty();
     }
 
@@ -146,5 +146,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestRotateWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("ROT", 2);
+      TestWithInsufficientArguments("ROT", 2);
     }
 
@@ -154,15 +154,15 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestShove() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".SHOVE"));
-
-      Assert.AreEqual(values[0], Stack[2]);
-      Assert.AreEqual(values[1], Stack[0]);
-      Assert.AreEqual(values[2], Stack[1]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".SHOVE"));
+
+      Assert.AreEqual(values[0], Stack[2]);
+      Assert.AreEqual(values[1], Stack[0]);
+      Assert.AreEqual(values[2], Stack[1]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -172,5 +172,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestShoveWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("SHOVE", 1);
+      TestWithInsufficientArguments("SHOVE", 1);
     }
 
@@ -180,15 +180,15 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestShoveWithNegativeIndex() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(-1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".SHOVE"));
-
-      Assert.AreEqual(values[0], Stack[2]);
-      Assert.AreEqual(values[1], Stack[0]);
-      Assert.AreEqual(values[2], Stack[1]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(-1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".SHOVE"));
+
+      Assert.AreEqual(values[0], Stack[2]);
+      Assert.AreEqual(values[1], Stack[0]);
+      Assert.AreEqual(values[2], Stack[1]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -198,15 +198,15 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYank() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".YANK"));
-
-      Assert.AreEqual(values[0], Stack[2]);
-      Assert.AreEqual(values[1], Stack[0]);
-      Assert.AreEqual(values[2], Stack[1]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".YANK"));
+
+      Assert.AreEqual(values[0], Stack[2]);
+      Assert.AreEqual(values[1], Stack[0]);
+      Assert.AreEqual(values[2], Stack[1]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -216,5 +216,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYankWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("YANK", 1);
+      TestWithInsufficientArguments("YANK", 1);
     }
 
@@ -224,15 +224,15 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYankWithNegativeIndex() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(-1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".YANK"));
-
-      Assert.AreEqual(values[0], Stack[2]);
-      Assert.AreEqual(values[1], Stack[0]);
-      Assert.AreEqual(values[2], Stack[1]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(-1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".YANK"));
+
+      Assert.AreEqual(values[0], Stack[2]);
+      Assert.AreEqual(values[1], Stack[0]);
+      Assert.AreEqual(values[2], Stack[1]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -242,16 +242,16 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYankDuplicate() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".YANKDUP"));
-
-      Assert.AreEqual(values[0], this.Stack[3]);
-      Assert.AreEqual(values[1], this.Stack[2]);
-      Assert.AreEqual(values[2], this.Stack[1]);
-      Assert.AreEqual(values[1], this.Stack[0]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".YANKDUP"));
+
+      Assert.AreEqual(values[0], Stack[3]);
+      Assert.AreEqual(values[1], Stack[2]);
+      Assert.AreEqual(values[2], Stack[1]);
+      Assert.AreEqual(values[1], Stack[0]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -261,5 +261,5 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYankDuplicateWithInsufficientArguments() {
-      this.TestWithInsufficientArguments("YANKDUP", 1);
+      TestWithInsufficientArguments("YANKDUP", 1);
     }
 
@@ -269,16 +269,16 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestYankDuplicateWithNegativeIndex() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(-1);
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".YANKDUP"));
-
-      Assert.AreEqual(values[0], this.Stack[3]);
-      Assert.AreEqual(values[1], this.Stack[2]);
-      Assert.AreEqual(values[2], this.Stack[1]);
-      Assert.AreEqual(values[1], this.Stack[0]);
-
-      this.CheckOtherStacksAreEmpty();
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(-1);
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".YANKDUP"));
+
+      Assert.AreEqual(values[0], Stack[3]);
+      Assert.AreEqual(values[1], Stack[2]);
+      Assert.AreEqual(values[2], Stack[1]);
+      Assert.AreEqual(values[1], Stack[0]);
+
+      CheckOtherStacksAreEmpty();
     }
 
@@ -288,16 +288,16 @@
     [TestCategory("CommonExpressionTest")]
     public virtual void TestStackdpeth() {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.Test(ExpressionTable.GetStatelessExpression(this.TypeName + ".STACKDEPTH"));
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      Test(ExpressionTable.GetStatelessExpression(TypeName + ".STACKDEPTH"));
 
       // if stack is integer stack
-      if (this.Stack.Count != values.Length) {
-        Assert.AreEqual(4, this.Stack.Count);
-        this.CheckOtherStacksAreEmpty();
+      if (Stack.Count != values.Length) {
+        Assert.AreEqual(4, Stack.Count);
+        CheckOtherStacksAreEmpty();
       } else {
-        Assert.AreEqual(3, this.Stack.Count);
-        Assert.AreEqual(values.Length, this.interpreter.IntegerStack.Top);
+        Assert.AreEqual(3, Stack.Count);
+        Assert.AreEqual(values.Length, interpreter.IntegerStack.Top);
       }
     }
@@ -305,25 +305,25 @@
     protected void TestWithInsufficientArguments(string instructionName, int argCount = 0) {
       for (var i = 0; i < argCount + 1; i++) {
-        var values = this.GetValues(i);
-        this.Stack.Push(values);
-
-        var fullInstructionName = string.Format(FullInstructionNameFormat, this.TypeName, instructionName);
-        this.Test(ExpressionTable.GetStatelessExpression(fullInstructionName));
-
-        for (var j = 0; j < i; j++) Assert.AreEqual(values[j], this.Stack.ReverseElementAt(j));
-
-        this.CheckOtherStacksAreEmpty();
-        this.interpreter.Clear();
+        var values = GetValues(i);
+        Stack.Push(values);
+
+        var fullInstructionName = string.Format(FullInstructionNameFormat, TypeName, instructionName);
+        Test(ExpressionTable.GetStatelessExpression(fullInstructionName));
+
+        for (var j = 0; j < i; j++) Assert.AreEqual(values[j], Stack.ReverseElementAt(j));
+
+        CheckOtherStacksAreEmpty();
+        interpreter.Clear();
       }
     }
 
     protected void TestWithNegativeIndex(string instructionName) {
-      var values = this.GetValues(3);
-      this.Stack.Push(values);
-
-      this.interpreter.IntegerStack.Push(-1);
-
-      var fullInstructionname = string.Format(FullInstructionNameFormat, this.TypeName, instructionName);
-      this.Test(ExpressionTable.GetStatelessExpression(fullInstructionname));
+      var values = GetValues(3);
+      Stack.Push(values);
+
+      interpreter.IntegerStack.Push(-1);
+
+      var fullInstructionname = string.Format(FullInstructionNameFormat, TypeName, instructionName);
+      Test(ExpressionTable.GetStatelessExpression(fullInstructionname));
 
       Assert.AreEqual(values[0], Stack[2]);
